Bug 612955 - Bundle revert wizard does not display the bundle version of previous deployment on 'Revert Bundle Confirmation' screen.
Bundle revert wizard does not display the bundle version of previous deployme...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
unspecified
All All
high Severity low (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: jon24-provisioning
  Show dependency treegraph
 
Reported: 2010-07-09 07:55 EDT by Sunil Kondkar
Modified: 2011-05-23 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (66.62 KB, image/png)
2010-07-09 07:56 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2010-07-09 07:55:25 EDT
Description of problem:

When a user tries to revert a bundle from say version2 to version1, the bundle revert wizard displays the version number of live deployment.  However it does not display the bundle version of previous deployment.

Version-Release number of selected component (if applicable):
JON 2.4 GA_QA (tag-jon-release build# 53)

How reproducible:
Always

Steps to Reproduce:

1. Go to Administration -> Content -> Bundle
2. Upload and deploy a bundle version say version 1
3. Upgrade to bundle version 2.
4. Navigate to 'Destination' tab for bundle version 2
5. Click on 'Revert' button.
6. Verify the 'Bundle version' value in 'Previous Deployment' section.

Please refer the attached screenshot.
  
Actual results:
In 'Live Deployment' section of the page, the label 'Bundle Version' displays the version as 2.0.

In 'Previous Deployment' section of the page, the label 'Bundle Version' does not display the version. 

Expected results:
In 'Previous Deployment' section of the page, the label 'Bundle Version' should display the version as 1.0.

Additional info:
Comment 1 Sunil Kondkar 2010-07-09 07:56:30 EDT
Created attachment 430656 [details]
Screenshot
Comment 2 John Mazzitelli 2010-12-20 14:16:50 EST
jshaugn had previously committed 71f2f42e257b49bf5435b525e1ee36a3798a7bc9
on 7/14/2010 which removed the previous bundle version string from the UI with this commit comment:

   "remove the previous bundle version field, it wasn't available w/o
another db rt and the info is already in the name/description."

I put that field back and made the async call to do that second query. Only need the query if the previous bundle version is different than the live one - which is most of the time, but not all the time (as when you redeploy the same bundle version over top of itself).

I also noticed the description field was incorrect - it was showing the name, not the description... i fixed that too.

this is all fixed in commit 5dc0d1c0aa10da93ea73bfda9bc9b642b5daf543
Comment 3 Mike Foley 2011-04-25 13:09:18 EDT
this is verified.  with RHQ 4.0 CR1, I uploaded, deployed, deleted, and purged bundles.
Comment 4 Corey Welton 2011-05-23 21:10:49 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:10:52 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.